<div class="item-dialog">
  <div class="container">
    <mat-toolbar>
      <span>{{itemService.itemForm.controls['$key']?.value ? "Edycja przedmiotu" : "Dodawanie przedmiotu"}}</span>
      <span class="fill-remaining-space"></span>
      <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
        <mat-icon matTooltip="Zamknij">clear</mat-icon>
      </button>
    </mat-toolbar>

    <form [formGroup]="itemService.itemForm" (submit)="onSubmit()">
      <div fxLayout="column">

        <mat-form-field>
          <input matInput formControlName="name" placeholder="Nawa przedmiotu" required>
          <mat-error>Nazwa przedmiotu jest wymagana.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <textarea matInput formControlName="description" placeholder="Opis wyposażenia"></textarea>
        </mat-form-field>

        <mat-form-field>
          <mat-select formControlName="department" placeholder="Dział">
            <mat-option *ngFor="let department of (departments$ | async)"
                        value="{{department?.id}}">{{department?.name}}</mat-option>
          </mat-select>
          <mat-hint>Jeżeli przedmiot służy całemu działu, można go sprecyzować w tym miejscu.</mat-hint>
        </mat-form-field>

        <mat-form-field>
          <mat-select formControlName="employee" placeholder="Pracownik/Odpowiedzialny">
            <div *ngIf="(employees$ | async) as employees; else loading">
              <ng-container *ngIf="employees.length; else noEmployees">
                <mat-option *ngFor="let employee of employees"
                            value="{{employee?.id}}">{{employee?.data?.firstName}} {{employee?.data?.lastName}}</mat-option>
              </ng-container>
              <ng-template #noEmployees>Nie znaleziono pracowników.
              </ng-template>
            </div>
            <ng-template #loading>Ładowanie danych...</ng-template>
          </mat-select>
          <mat-hint>Jeżeli przedmiot służy konkretnemu pracownikowi, można go sprecyzować w tym miejscu.</mat-hint>
        </mat-form-field>

        <mat-form-field>
          <input matInput formControlName="warrantyEndDate" [matDatepicker]="warrantyEndDatePicker"
                 placeholder="Data końca gwarancji">
          <mat-datepicker-toggle matSuffix [for]="warrantyEndDatePicker"></mat-datepicker-toggle>
          <mat-datepicker #warrantyEndDatePicker></mat-datepicker>
        </mat-form-field>

        <mat-form-field>
          <mat-select formControlName="typeOfOwnership" placeholder="Rodzaj posiadania">
            <mat-option value="leasing">Leasing</mat-option>
            <mat-option value="own">Na własność</mat-option>
            <mat-option value="loan">Wypożyczony</mat-option>
          </mat-select>
        </mat-form-field>
      </div>

      <div class="button-row">
        <button mat-raised-button color="primary" type="submit" [disabled]="itemService.itemForm.invalid">
          Zapisz
        </button>
        <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
      </div>

    </form>
  </div>
</div>
